using System;
using System.Web;
using System.Data;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] { new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Country") });
            dt.Rows.Add(1, "John Hammond", "United States");
            dt.Rows.Add(2, "Mudassar Khan", "India");
            dt.Rows.Add(3, "Suzanne Mathews", "France");
            dt.Rows.Add(4, "Robert Schidner", "Russia");
            GridView1.DataSource = dt;
            GridView1.DataBind();
        }
    }

    protected void chkAll_CheckedChanged(object sender, EventArgs e)
    {
        //Detmermine the state of the Header CheckBox.
        bool isChecked = (sender as CheckBox).Checked;

        //Loop and check and uncheck all row CheckBoxes based on Header Cell CheckBox.
        foreach (GridViewRow row in GridView1.Rows)
        {
            (row.FindControl("chk") as CheckBox).Checked = isChecked;
        }
    }

    protected void chk_CheckedChanged(object sender, EventArgs e)
    {
        bool isChecked = true;

        //Loop to verify whether all row CheckBoxes are checked or not.
        foreach (GridViewRow row in GridView1.Rows)
        {
            if (!(row.FindControl("chk") as CheckBox).Checked)
            {
                //If one CheckBox is found unchecked. Break.
                isChecked = false;
                break;
            }
        }

        //Set the state of the Header CheckBox based on isChecked variable.
        CheckBox chkAll = GridView1.HeaderRow.FindControl("chkAll") as CheckBox;
        chkAll.Checked = isChecked;
    }
}
