Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            GridView1.DataSource = dt
            GridView1.DataBind()
        End If
    End Sub

    Protected Sub chkAll_CheckedChanged(sender As Object, e As EventArgs)
        'Detmermine the state of the Header CheckBox.
        Dim isChecked As Boolean = TryCast(sender, CheckBox).Checked

        'Loop And check And uncheck all row CheckBoxes based on Header Cell CheckBox.
        For Each row As GridViewRow In GridView1.Rows
            TryCast(row.FindControl("chk"), CheckBox).Checked = isChecked
        Next
    End Sub

    Protected Sub chk_CheckedChanged(sender As Object, e As EventArgs)
        Dim isChecked As Boolean = True

        'Loop to verify whether all row CheckBoxes are checked or not.
        For Each row As GridViewRow In GridView1.Rows
            If Not TryCast(row.FindControl("chk"), CheckBox).Checked Then
                'If one CheckBox is found unchecked. Break.
                isChecked = False
                Exit For
            End If
        Next

        'Set the state of the Header CheckBox based on isChecked variable.
        Dim chkAll As CheckBox = TryCast(GridView1.HeaderRow.FindControl("chkAll"), CheckBox)
        chkAll.Checked = isChecked
    End Sub
End Class
